May 03, 2016 02:14PM
Deb,

I have 12 Juno SBs running version 2012.03, and one GeoExplorer running version 2015.00. I also have an older Juno SC running an older version.

Our department has obtained 6 Juniper Mesa 2s, that we might be using for field work and class training.

Thanks.

Maurice Wolcott
mwolcott@agcenter.lsu.edu
SubjectAuthorPosted

Mobile on Juniper Mesa 2

mwolcottApril 23, 2016 12:09PM

Re: Mobile on Juniper Mesa 2

Deb HurrawApril 26, 2016 01:38PM

Re: Mobile on Juniper Mesa 2

mwolcottMay 03, 2016 02:14PM

Re: Mobile on Juniper Mesa 2

Deb HurrawMay 03, 2016 04:01PM



Sorry, only registered users may post in this forum.

Click here to login